@import url('https://gfonts.pirati.cz/css2?family=Bebas+Neue&family=Roboto+Condensed:wght@300;400;700&family=Roboto:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400&display=swap');

/* Icons */
@import "atoms/icons.pcss";

/**
* This injects Tailwind's base styles and any base styles registered by
* plugins.
*/
@import "../../node_modules/tailwindcss/base.css";

/**
* This injects Tailwind's component classes and any component classes
* registered by plugins.
*/
@import "../../node_modules/tailwindcss/components.css";

/**
 * Custom components
*/
@import "atoms/container.pcss";
@import "atoms/extra_sizing.pcss";
@import "atoms/flag.pcss";
@import "atoms/form-field.pcss";
@import "atoms/heading.pcss";
@import "atoms/icons.pcss";

@import "molecules/articles.pcss";
@import "molecules/block-quote.pcss";
@import "molecules/carousels.pcss";
@import "molecules/contact_box.pcss";
@import "molecules/sliding_button.pcss";
@import "molecules/switch.pcss";
@import "molecules/representative_box.pcss";
@import "molecules/twitter_box.pcss";

@import "organisms/article-timeline.pcss";
@import "organisms/footer.pcss";
@import "organisms/navbar.pcss";
@import "organisms/newsletter.pcss";
@import "organisms/region-map.pcss";


/**
* This injects Tailwind's utility classes and any utility classes registered
* by plugins.
*/
@import "../../node_modules/tailwindcss/utilities.css";

@import '../../node_modules/vue-slick-carousel/dist/vue-slick-carousel.css';

::-moz-selection {
  background: theme("colors.orange.150");
}

::selection {
  background: theme("colors.orange.150");
}

:root {
  font-size: 16px;
}

body {
  @apply font-body font-normal leading-none antialiased;
  font-size: 1rem;
}

a:hover {
  @apply underline;
}

a.icon-link:hover {
  @apply no-underline;

  span {
    @apply underline;
  }
}

/* Hide vue templates before rendering */
[v-cloak] {
  @apply hidden;
}

.copyleft {
  transform: matrix(-1, 0, 0, 1, 0, 0) !important;
}

.inline-block-nogap {
  /* Avoid gaps between inline-block elements */
  font-size: 0;
}

/* auto-size iframe according to aspect ratio while keeping the 100% height */
.iframe-container {
  @apply relative;
  padding-bottom: 56.25%; /* 16:9 */
  height: 0;
}

.iframe-container iframe {
  @apply absolute top-0 left-0 w-full h-full;
}
